Criar agente
curl --request POST \
--url https://api.nuvia.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"name": "<string>",
"agent_flow": {
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>"
},
"prompts": {
"service_prompt": "<string>",
"name": "<string>",
"role": "<string>",
"mission": "<string>",
"personality": [
{}
],
"communication_style": [
{}
],
"rules": [
{}
]
},
"company": {
"_id": {},
"name": "<string>",
"channels": [],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>"
}
],
"description": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true
},
"model_config": {},
"general_config": {},
"specialist_config": {},
"knowledge_base": [
{}
],
"avatar_color": "<string>",
"avatar_initials": "<string>",
"personality_presets": [],
"steps": [
{
"_id": {},
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"order": 123,
"agent": "<unknown>",
"company": {
"_id": {},
"name": "<string>",
"channels": [],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>"
}
],
"description": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true
},
"mentions": [
{}
],
"general_config": {
"disable_followups": true,
"should_auto_run_on_enter": true
}
}
]
}agents
Criar agente
Cria um novo agente de atendimento.
POST
/
v1
/
agents
Criar agente
Autorizações
Token JWT de autenticação
Cabeçalhos
Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.
Resposta
201 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opções disponíveis:
ACTIVE, DRAFT, INACTIVE, DELETED Opções disponíveis:
FRIENDLY, DIDACTIC, CURIOUS, FORMAL, PLAYFUL, PERSUASIVE Show child attributes
Show child attributes
⌘I